<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="sriovPanelDialogboxView">
	<hx:panelBox id="sriovPanelDialogbox" layout="pageDirection" >
	<usmc:messageBox id="name_messagebox_dialog"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />
			
					
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%"
			id="sriovPhyPortDialogPanel"
			rendered="#{sriov_bean.physicalPortRender}">
			<h:panelGrid id="sriovPhyPortpanel1">
				<h:outputText value="#{msg.SRIOV_PHYPORT_PANEL_TEXT}" id="sriovPhyPorttext1" />
			</h:panelGrid>

			<h:outputText value="<P></P>" escape="false" id="ethtext2" />
		
		<h:panelGrid id="sriovtablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" >		
		
		<hx:dataTableEx id="ethernetTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{sriov_bean.physPortDetials}"
					var="adapterslist" width="100%" scrollSize="#{adapter_cs_pagecode.heatblScrollSize}">
					
					<hx:columnEx id="eth_adaptersSelectcolumn">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="eth_adaptersSelectlabel" for="eth_adapters_select"
								value="#{msg.select}" />
							</h:panelGrid>	
						</f:facet>
						<h:selectBooleanCheckbox id="eth_adapters_select" value="#{adapterslist.selected}" onclick="updateCheckBox(this);"/>
					</hx:columnEx>

					

					<hx:columnEx id="eth_adapterscolumn" >
						<f:facet name="header">
							<usmc:outputLabel styleClass="outputLabel" id="eth_adapterslabel"
								for="eth_adapters_port" value="#{msg.LBL_PHYSICALPORT}"  />
						</f:facet>
					<vsmfaces:outputText id="eth_adapters_port" uiproperty="#{adapterslist.physicalPort}" />
					</hx:columnEx>

					<hx:columnEx id="ethBridgeCol" rendered="true">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="eth_adaptersbridgelabel"
								styleClass="outputLabel" for="eth_adaptersbridgeid"
								value="#{msg.LBL_TYPE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right"/>
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText id="eth_adaptersbridgeid" uiproperty="#{adapterslist.type}"/>
					</hx:columnEx>

					<hx:columnEx id="ethPriorityCol" rendered="true">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adaptesprioritylabel"
								styleClass="outputLabel" for="eth_adaptersriorityid"
								value="#{msg.LBL_PORTID}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" />
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText id="eth_adapspriorityid" uiproperty="#{adapterslist.portId}" />
					</hx:columnEx>
					
					
					
					<hx:columnEx id="srriorityCol" rendered="true">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="sreth_adaptersprioritylabel"
								styleClass="outputLabel" for="sriovConfLPsText"
								value="#{msg.LBL_CONFIGUREDLP}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" />
							</h:panelGrid>
						</f:facet>
								<vsmfaces:outputText id="sriovConfLPsText" styleClass="outputText" uiproperty="#{adapterslist.configuredLPs}"/>
					</hx:columnEx>
					
					<hx:columnEx id="ethAdapNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel styleClass="outputLabel"
								id="eth_adaptersidlabel" for="sriovAvailableLPsText"
								value="#{msg.LBL_AVAILABLELP}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" />
							</h:panelGrid>
							
						</f:facet>
							<vsmfaces:outputText id="sriovAvailableLPsText" uiproperty="#{adapterslist.availableLPs}" />
					</hx:columnEx>
					<hx:columnEx id="PriorityCol" rendered="true">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="daptersprioritylabel"
								styleClass="outputLabel" for="sriovPhyPortSpeedText"
								value="#{msg.LBL_SPEED}"  />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" />
							</h:panelGrid>
							
						</f:facet>
							<vsmfaces:outputText id="sriovPhyPortSpeedText" uiproperty="#{adapterslist.speed}" />
					</hx:columnEx>
					
					<hx:columnEx id="yCol" rendered="true">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="erioritylabel"
								styleClass="outputLabel" for="sriovPhyPortStatusText"
								value="#{msg.LBL_LINKSTATUS}"  />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" />
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText id="sriovPhyPortStatusText" uiproperty="#{adapterslist.linkstatus}" />
					</hx:columnEx>

				</hx:dataTableEx>
			
			</h:panelGrid>	
	
		<h:panelGrid columns="2" id="lheadgbuttonslbl">
				<hx:commandExButton
					action="#{sriov_bean.showLogicalPortDetails}"
					value="#{msg.OK_TEXT}" type="submit" id="lheaokbutton">
					<hx:behavior event="onclick"
						targetAction="sriovsubPanelDialog;sriovPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
	
	
				<hx:commandExButton value="#{msg.CANCEL_TEXT}"
					action="#{sriov_bean.createPhysicalPortCancel}"
					type="submit" id="lheacancelbutton">
					<hx:behavior event="onclick"
						targetAction="sriovsubPanelDialog;sriovPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
			</h:panelGrid>
		</h:panelGrid>
		
	<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="sriovDialogPanel" rendered="#{sriov_bean.logicalPortRender}">
			<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="stes">
				<h:outputText value="#{msg.SRIOV_LOGPORT_PANEL_TEXT}" id="riovLogPorttext1" />
			</h:panelGrid>
 			<h:outputText value="<P></P>" escape="false" id="text2" />
 			
			<h:panelGrid columns="2">
				<usmc:outputLabel id="info" for="lpar" styleClass="outputLabel" value="#{msg.LBL_SRIOVDEV}" />
				
				<vsmfaces:outputText id="lpar" uiproperty="#{sriov_bean.configDetails.physPort}" />
				
				
				<usmc:outputLabel id="physicalport" for="id" styleClass="outputLabel" value="#{msg.LBL_PHY_PORT}" />
				<h:outputText id="id" value="#{sriov_bean.configDetails.physicalPortId}" />
				
				<usmc:outputLabel id="typeS" for="typeTexts" styleClass="outputLabel" value="#{msg.LBL_PROT_TYPE}" />
				
				<vsmfaces:outputText id="typeTexts" uiproperty="#{sriov_bean.configDetails.type}" />
			</h:panelGrid>
			
	     	<h:panelGrid id="test" width="100%">
			 <exfaces:tabbedPanel id="sriov_LogPortTab" handler="#{tabHandler}" includeButtons ="false">
				<f:facet name="sriovGeneralPanelFacet">
					<f:subview id="sriovGeneralTabPanel" rendered="#{tabHandler.locationsTabSelected}">
						<%@include file="/jsps/properties/GeneralPropertiesPage1.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="sriovAdvancePanelFacet">
					<f:subview id="sriovAdvancePanel" rendered="#{tabHandler.locationsTab1Selected}">
						<%@include file="/jsps/properties/AdvancedPropertiesPage1.jsp"%>
					</f:subview>
				</f:facet>
				
		     </exfaces:tabbedPanel>
		     </h:panelGrid>
	
			<h:panelGrid columns="3" id="sriovLogPortbtnPanl">
				<hx:commandExButton
					action="#{sriov_bean.createLogicalPortSubmit}"
					value="#{msg.OK_TEXT}" type="submit" id="sriovortokbutton">
					<hx:behavior event="onclick"
						targetAction="sriovsubPanelDialog;sriovPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.CANCEL_TEXT}"
					action="#{sriov_bean.createLogicalPortCancel}" type="submit"
					id="sriovortcancelbutton">
					<hx:behavior event="onclick"
						targetAction="sriovsubPanelDialog;sriovPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
			</h:panelGrid>
			
	
			
	</hx:panelBox>
</f:subview>
