<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<f:subview id="sriovConfPortDialogView">
	<hx:panelBox id="sriovConfPortDialogbox" layout="pageDirection">
		<usmc:messageBox id="sriovPhyPort_messagebox_dialog"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />
			
	<h:inputText value="#{manageSriovUIBean.sriovPhySortColumn}" style="display : none" id="sriovPhySortColumn"/>
	
	
<h:panelGrid id="sriovpanelText" rendered="#{manageSriovUIBean.logicalPortTypeRender}">>
			<h:outputText id="sriovText" value="#{msg.SRIOV_PANEL_MAINTEXT}" />
		<h:panelGroup id="selectLogicalPortTypeGrid">
		  <usmc:outputLabel id="lblLogicalPortType" for="logicalPortTypebox" value="#{msg.LBL_PORTTYPE_TEXT}"/>
			<h:outputText value="&nbsp;&nbsp;" escape="false" />
			<h:selectOneMenu id="logicalPortTypebox" value="#{manageSriovUIBean.logicalPortType}">
				<f:selectItems id="logicalportselectitems" value="#{manageSriovUIBean.logicalPortTypeOptions}" />
				<hx:behavior event="onchange" targetAction="sriovConfigurePortDialog;managesriovPanel"
						behaviorAction="hide;get;stop" />	
		  </h:selectOneMenu>
		 </h:panelGroup>
	
	<h:panelGrid columns="3" id="sriovLogicalPortTypebtnPanel">
				<hx:commandExButton
					action="#{manageSriovUIBean.selectLogicalPortTypeSubmit}"
					value="#{msg.LBL_OK}" type="submit" id="sriovLogicalPortTypeokbutton" >
					<hx:behavior event="onclick"  
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageSriovUIBean.selectLogicalPortTypeCancel}" type="submit"
					id="sriovLogcialPortTypecancelbutton">
					<hx:behavior event="onclick"
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
	</h:panelGrid>	 
		 
</h:panelGrid>
	
	
<h:panelGrid cellpadding="0" cellspacing="0" width="100%"
			id="sriovPhyPortDialogPanel"
			rendered="#{manageSriovUIBean.physicalPortRender}">
			<h:panelGrid id="sriovPhyPortpanel1">
				<h:outputText value="#{msg.SRIOV_PHYPORT_PANEL_TEXT}" id="sriovPhyPorttext1" />
			</h:panelGrid>

			<h:outputText value="<P></P>" escape="false" id="ethtext2" />

<h:panelGrid id="sriovphyporttablepanel">
	
	<hx:commandExButton value="" action="#{manageSriovUIBean.sortPhyPortSriovTable}" style="display : none" id="sriovsortphybutton">
							<hx:behavior event="onclick" targetAction="sriovConfigurePortDialog;manageServerPanel" behaviorAction="hide;get;stop" target="sriovsortphybutton"/>	
			</hx:commandExButton>
			
	<h:panelGrid id="sriovphyporttablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" >		
		
		<hx:dataTableEx id="sriovphyPortTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageSriovUIBean.physicalPortDetails}"
					var="sriovphyPortslist" width="100%" scrollSize="#{manageSriovUIBean.sriovPhyTblScrollSize}">
					
					<hx:columnEx id="sriov_phyPortsSelectcolumn" style="text-align: center;width: 8%">
						<f:facet name="header">
						<h:panelGrid id="sriovphyPortSortGrid" width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="sriov_phyPortsSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
							</h:panelGrid>
						</f:facet>
			<h:selectBooleanCheckbox id="sriovphyPortSelect" value="#{sriovphyPortslist.selected}" onclick="updateCheckBox(this);"/>
			</hx:columnEx>
 
			<hx:columnEx id="sriovPhyPortCol">
				<f:facet name="header">

					<h:panelGrid id="sriovPanelGrid11" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">

						<usmc:outputLabel styleClass="outputLabel"
							id="sriov_phyPortlabel"	value="#{msg.LBL_PHYSICALPORT}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="manageconfigureimage1" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol('manageServer_form:sriovConfPortDialogView:sriovsortphybutton','sriovPhyPortCol','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					
					</h:panelGrid>

				</f:facet>

				<vsmfaces:outputText id="sriovText11" uiproperty="#{sriovphyPortslist.physicalPort}" />
			</hx:columnEx>

			<hx:columnEx id="phyPort_TypeColumn" style="width: 12%">
				<f:facet name="header">
					<h:panelGrid id="sriovPanelGrid12" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="phyPort_Typecolumnlabel"
							value="#{msg.LBL_TYPE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="manageconfigureimage2"  alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:sriovConfPortDialogView:sriovsortphybutton','phyPort_TypeColumn','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText id="sriovTypeColText" uiproperty="#{sriovphyPortslist.type}" />
			</hx:columnEx>

			<hx:columnEx id="phyPort_IdColumn" style="width: 8%">
				<f:facet name="header">
					<h:panelGrid id="sriovPanelGrid13" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="phyPort_IdColumnlabel"
							styleClass="outputLabel" 
							value="#{msg.LBL_PORTID}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="manageconfigureimage3"  alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:sriovConfPortDialogView:sriovsortphybutton','phyPort_IdColumn','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText id="sriovPortIdText" uiproperty="#{sriovphyPortslist.portId}" />
			</hx:columnEx>

			<hx:columnEx id="phyPortConfiguredLPCol" style="width: 12%">
				<f:facet name="header">
					<h:panelGrid id="sriovPanelGrid14" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="phyPortConfiguredCollabel"
							styleClass="outputLabel" value="#{msg.LBL_CONFIGUREDLP}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="manageconfigureimage4" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:sriovConfPortDialogView:sriovsortphybutton','phyPortConfiguredLPCol','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText id="sriovConfLPsText" styleClass="outputText"
					uiproperty="#{sriovphyPortslist.configuredLPs}"/>
			</hx:columnEx>

			<hx:columnEx id="phyPortAvailableLPCol" style="width: 12%">
				<f:facet name="header">
					<h:panelGrid id="sriovPanelGrid15" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="phyPortAvailableLPCollabel"
							styleClass="outputLabel" value="#{msg.LBL_AVAILABLELP}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" id="manageconfigureimage5"  alt="#{msg.TBL_NONE_TITLE}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:sriovConfPortDialogView:sriovsortphybutton','phyPortAvailableLPCol','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText id="sriovAvailableLPsText" uiproperty="#{sriovphyPortslist.availableLPs}" />
			</hx:columnEx>
			
			<hx:columnEx id="phyPortSpeedCol" style="width: 12%">
				<f:facet name="header">
					<h:panelGrid id="sriovPanelGrid16" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="phyPortSpeedColllabel"
							styleClass="outputLabel" value="#{msg.LBL_SPEED}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" id="manageconfigureimage6" alt="#{msg.TBL_NONE_TITLE}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:sriovConfPortDialogView:sriovsortphybutton','phyPortSpeedCol','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText id="sriovPhyPortSpeedText" uiproperty="#{sriovphyPortslist.speed}" />
			</hx:columnEx>
			
			<hx:columnEx id="phyPortLinkStatusCol" style="width: 10%">
				<f:facet name="header">
					<h:panelGrid id="sriovPanelGrid18" columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="phyPortLinkStatusCollabel"
							styleClass="outputLabel" value="#{msg.LBL_LINKSTATUS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" id="manageconfigureimage7"  alt="#{msg.TBL_NONE_TITLE}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:sriovConfPortDialogView:sriovsortphybutton','phyPortLinkStatusCol','manageServer_form:sriovConfPortDialogView:sriovPhySortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText id="sriovPhyPortStatusText" uiproperty="#{sriovphyPortslist.linkstatus}" />
			</hx:columnEx>

			</hx:dataTableEx>

		</h:panelGrid>
	</h:panelGrid>
			<h:panelGrid columns="3" id="sriovPhyPortbtnPanel">
				<hx:commandExButton
					action="#{manageSriovUIBean.selectPhyPortSubmit}"
					value="#{msg.LBL_OK}" type="submit" id="sriovPhyPortokbutton" >
					<hx:behavior event="onclick"  
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageSriovUIBean.selectPhyPortCancel}" type="submit"
					id="sriovPhyPortcancelbutton">
					<hx:behavior event="onclick"
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>
		
	
		<h:panelGrid id="sriovLogPortDialogPanel" cellpadding="0" cellspacing="0" rendered="#{manageSriovUIBean.logicalPortDetailsModified}">
			<h:outputText value="#{msg.SRIOV_LOGPORT_PANEL_TEXT}" id="sriovLogPorttext1" styleClass="headerText" />
	
			<hx:graphicImageEx value="/images/wtable_spacer.gif" id="imagelogport1"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif" id="imagelogport2"/>	
			
			<hx:panelDialog id="remoteFcoePanelDialog" rendered="false" ></hx:panelDialog>
			<h:panelGrid columns="2">
				<usmc:outputLabel id="info" for="lpar" styleClass="outputLabel" value="#{msg.LBL_SRIOVDEV}" />
				<vsmfaces:outputText id="lpar" uiproperty="#{manageSriovUIBean.logicalPort.physPort}" />
				
				<usmc:outputLabel id="physicalport" for="id" styleClass="outputLabel" value="#{msg.LBL_PHY_PORT}" />
				<h:outputText id="id" value="#{manageSriovUIBean.logicalPort.physicalPortId}" />
				
				<usmc:outputLabel id="typeS" for="typeTexts" styleClass="outputLabel" value="#{msg.LBL_PROT_TYPE}" />
				<vsmfaces:outputText id="typeTexts" uiproperty="#{manageSriovUIBean.logicalPort.type}" />
			</h:panelGrid>
	
		<hx:graphicImageEx value="/images/wtable_spacer.gif" id="imagelogport3"/>

		<h:panelGrid id="sriovLogPortTabPanel1" cellpadding="0" cellspacing="0" width="100%" >
			 <exfaces:tabbedPanel id="sriov_LogPortTab" handler="#{manageSriovtabHandler}" includeButtons ="false">
				<f:facet name="sriovGeneralPanelFacet">
					<f:subview id="sriovGeneralTabPanel" rendered="#{manageSriovtabHandler.generalTabSelected}">
						<%@include file="/jsps/manageserver/dialog/SRIOVLogicalPortGeneralPage.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="sriovAdvancePanelFacet">
					<f:subview id="sriovAdvancePanel" rendered="#{manageSriovtabHandler.advanceTabSelected}">
						<%@include file="/jsps/manageserver/dialog/SRIOVLogicalPortAdvancePage.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="sriovPortCounterPanelFacet">
					<f:subview id="sriovPortCountTabPanel" rendered="#{manageSriovtabHandler.portCounterTabSelected}">
						<%@include file="/jsps/manageserver/dialog/SRIOVLogicalPortCounterPage.jsp"%>
					</f:subview>
				</f:facet>
		     </exfaces:tabbedPanel>
		</h:panelGrid>	
			<h:panelGrid columns="3" id="sriovLogPortbtnPanel">
				<hx:commandExButton
					action="#{manageSriovUIBean.selectLogicalPortSubmit}"
					value="#{msg.LBL_OK}" type="submit" id="sriovLogPortokbutton">
					<hx:behavior event="onclick"
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageSriovUIBean.selectLogicalPortCancel}" type="submit"
					id="sriovLogPortcancelbutton">
					<hx:behavior event="onclick"
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>


		<h:panelGrid id="sriovWWPNPortstablepanel" width="100%"
			cellpadding="0" cellspacing="0"
			rendered="#{manageSriovUIBean.loginLogoutFcoePortRender}">
			<h:outputText id="sriovWWPNLoginLogutStatusLabel"
				value="#{msg.LBL_WWPN_LOGIN_LOGOUT_STATUS}" />
			<h:outputText value="<P></P>" escape="false" id="fcoeWwpnTextId" />
			<h:inputText value="#{manageSriovUIBean.fcoeWWPNPortColumn}"
				style="display : none" id="fcoeWWPNPortColumn" />

			<hx:commandExButton value=""
				action="#{manageSriovUIBean.sortFcoeWWPNPortColumnTable}"
				style="display : none" id="fcoeWWPNPortbutton">
				<hx:behavior event="onclick"
					targetAction="sriovConfigurePortDialog;manageServerPanel"
					behaviorAction="hide;get;stop" target="fcoeWWPNPortbutton" />
			</hx:commandExButton>

			<h:panelGrid id="sriovWWPNPorttablewrapperPanel" width="100%"
				cellspacing="0" cellpadding="0" border="0"
				styleClass="newFaceDataTableBorder">
				<hx:dataTableEx id="sriovWWPNPortTable" border="0" cellpadding="15"
					cellspacing="0" columnClasses="columnClass1"
					headerClass="dataTableColumnHeader" footerClass="footerClass"
					rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageSriovUIBean.wwpnDetail}" var="wwpnDetailList"
					width="100%"
					scrollSize="#{manageSriovUIBean.sriovWwpnTblScrollSize}">

					<hx:columnEx id="sriovWWPNPortSlotcolumn"
						style="text-align: center;width: 15%">
						<f:facet name="header">
							<h:panelGrid width="100%" columnClasses="sortHeaderText"
								id="sriovWWPNCol1">
								<usmc:outputLabel styleClass="outputLabel"
									id="sriovWWPNPortSlotlabel" value="#{msg.LBL_SLOT}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
									title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
									style="text-align: right" id="managesriovimage11"
									onclick="sortCol('manageServer_form:sriovConfPortDialogView:fcoeWWPNPortbutton','sriovWWPNPortSlotcolumn','manageServer_form:sriovConfPortDialogView:fcoeWWPNPortColumn');" />
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText uiproperty="#{wwpnDetailList.slotNumber}" id="slotNumberid" />

					</hx:columnEx>

					<hx:columnEx id="sriovWWPNameCol" style="text-align: center;width: 20%">
						<f:facet name="header">

							<h:panelGrid columns="2" width="100%"
								columnClasses="sortHeaderText,sortHeaderImage"
								id="sriovWWPNCol2">

								<usmc:outputLabel styleClass="outputLabel"
									id="sriovWWPNamelabel" value="#{msg.LBL_WWPN}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
									title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
									style="text-align: right" id="managesriovimage12"
									onclick="sortCol('manageServer_form:sriovConfPortDialogView:fcoeWWPNPortbutton','sriovWWPNameCol','manageServer_form:sriovConfPortDialogView:fcoeWWPNPortColumn');" />
							</h:panelGrid>

						</f:facet>

						<vsmfaces:outputText uiproperty="#{wwpnDetailList.wwpn}" id="wwpnid"/>
					</hx:columnEx>

					<hx:columnEx id="sriov_wwpnStatuscolumn">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%"
								columnClasses="sortHeaderText,sortHeaderImage"
								id="sriovWWPNCol3">
								<usmc:outputLabel styleClass="outputLabel"
									id="sriov_wwpnStatuslabel" value="#{msg.LBL_STAUTUS}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
									title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
									style="text-align: right" id="managesriovimage13"
									onclick="sortCol('manageServer_form:sriovConfPortDialogView:fcoeWWPNPortbutton','sriov_wwpnStatuscolumn','manageServer_form:sriovConfPortDialogView:fcoeWWPNPortColumn');" />
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText uiproperty="#{wwpnDetailList.wwpnStatus}" id="wwpnStatusid" />
					</hx:columnEx>

					<hx:columnEx id="sriovWwpnLoggedInByCol" style="text-align: center;width: 20%">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%"
								columnClasses="sortHeaderText,sortHeaderImage"
								id="sriovWWPNCol4">
								<usmc:outputLabel id="sriov_WwpnLoggedInlabel"
									styleClass="outputLabel" value="#{msg.LBL_LOGGED}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
									title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
									style="text-align: right" id="managesriovimage14"
									onclick="sortCol('manageServer_form:sriovConfPortDialogView:fcoeWWPNPortbutton','sriovWwpnLoggedInByCol','manageServer_form:sriovConfPortDialogView:fcoeWWPNPortColumn');" />
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText uiproperty="#{wwpnDetailList.loggedInBy}" id="loggedInByid" />
					</hx:columnEx>

					<hx:columnEx id="sriovWwpnReasonCol" style="text-align: center;width: 15%">
						<f:facet name="header">
							<h:panelGrid columns="2" width="100%"
								columnClasses="sortHeaderText,sortHeaderImage"
								id="sriovWWPNCol5">
								<usmc:outputLabel id="sriov_WwpnReasonlabel"
									styleClass="outputLabel" value="#{msg.LBL_STATUS_REASON}" />
								<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
									title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" id="statusImageId"
									style="text-align: right" id="managesriovimage15"
									onclick="sortCol('manageServer_form:sriovConfPortDialogView:fcoeWWPNPortbutton','sriovWwpnReasonCol','manageServer_form:sriovConfPortDialogView:fcoeWWPNPortColumn');" />
							</h:panelGrid>
						</f:facet>
						<vsmfaces:outputText uiproperty="#{wwpnDetailList.errorStatus}" id="errorStatusid"/>
					</hx:columnEx>
				</hx:dataTableEx>
			</h:panelGrid>

			<h:panelGrid columns="3" id="sriovWWPNPortButtonsPanel">
				<hx:commandExButton styleClass="buttonRegular" id="wwpnLoginbtn"
					disabled="#{!(manageServerUIBean.serverStarted)}"
					action="#{manageSriovUIBean.wwpnStatusOn}" value="#{msg.LBL_IN}"
					type="submit">
					<hx:behavior event="onclick" targetAction="manageServerPanel"
						behaviorAction="get;stop" />
				</hx:commandExButton>

				<hx:commandExButton styleClass="buttonRegular" id="wwpnLogoutBtn"
					disabled="#{!(manageServerUIBean.serverStarted)}"
					action="#{manageSriovUIBean.wwpnStatusOff}" value="#{msg.LBL_OUT}"
					type="submit">
					<hx:behavior event="onclick" targetAction="manageServerPanel"
						behaviorAction="get;stop" />
				</hx:commandExButton>

				<hx:commandExButton styleClass="buttonRegular" id="wwpnCancelBtn"
					action="#{manageSriovUIBean.wwpnStatusCancel}"
					value="#{msg.LBL_CANCEL}" type="submit">
					<hx:behavior event="onclick"
						targetAction="sriovConfigurePortDialog;manageServerPanel"
						behaviorAction="hide;get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>