<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>
<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>





	<h:panelGrid id="vlanPanel">
		<h:outputText id="vlanHeaderText" value="#{msg.LBL_VLAN_HEADER}"  styleClass="headerText"/>
		<h:panelGrid columns="4">
		   <vsmfaces:outputLabel id="sriovAdvPVIDLabel" for="sriovAdvPVID" value="#{msg.LBL_PVID}" uiproperty= "#{manageSriovUIBean.logicalPort.portVLanId}" rendered="#{manageSriovUIBean.logicalPort.portVlanIdCapable}"/>
		   <vsmfaces:inputText id="sriovAdvPVID" labelId="sriovAdvPVIDLabel"  uiproperty="#{manageSriovUIBean.logicalPort.portVLanId}" />
		   <h:outputText id="portVlanLabel" value="#{msg.VALID_PORTVLAN_VALUES}" />
		   <h:outputText id="portVlanID" value="#{manageSriovUIBean.logicalPort.portVlanRange}" />
		</h:panelGrid>
		<h:panelGrid id="vlanRestriction" rendered="#{manageSriovUIBean.logicalPort.ethernetTypeLogPort}">
			<hx:ajaxRefreshSubmit id="vlanRestrictionRequest" ></hx:ajaxRefreshSubmit>
			<usmc:outputLabel id="vlanRestrictionLabel" value="#{msg.LBL_VLAN_RES}" for="vlanRestrictionRadio"/>
      		<h:selectOneRadio id="vlanRestrictionRadio"
					value="#{manageSriovUIBean.logicalPort.selectedVlanRes}" layout="pageDirection">
					<f:selectItems id="vlanResItems" value="#{manageSriovUIBean.logicalPort.vlanResType}"  />
					<hx:behavior id="vlanRestrictionBehaviousId"
						event="onclick" behaviorAction="get;stop"
						target="vlanRestrictionRadio" targetAction="vlanRestriction"/>
     	 	</h:selectOneRadio>
     	 		
     	 <h:panelGrid id="vlanRangePanel" columns="2" rendered="#{manageSriovUIBean.logicalPort.renderVLanRestriction.booleanValue && manageSriovUIBean.logicalPort.portVlanIdCapable}">
     	 	<h:outputText id="vlanLabel" value="#{msg.VALID_PORTVLAN_VALUES}"/>
			<h:outputText id="vlanId" value="#{manageSriovUIBean.logicalPort.vlanRange}" />
     	 </h:panelGrid>
     	 
     	 	<h:panelGrid id="customVlanRestrictionPanel" columns="3" rendered="#{manageSriovUIBean.logicalPort.renderVLanRestriction.booleanValue}">
   			<vsmfaces:outputLabel id="customVlanRestrictionLabel"
					for="customVlanRestrictionInputText" value="#{msg.LBL_INPUT_VLANRES_ADD}"
					uiproperty="#{manageSriovUIBean.logicalPort.customVlanAddRestriction}" />
				<vsmfaces:inputText id="customVlanRestrictionInputText"
					labelId="customVlanRestrictionLabel"
					uiproperty="#{manageSriovUIBean.logicalPort.customVlanAddRestriction}"></vsmfaces:inputText>
				<hx:commandExButton
					action="#{manageSriovUIBean.addAllowedVlanId}" value="#{msg.LBL_ADD}" type="submit" id="addVLanResbutton">
					<hx:behavior id="vlanResAddBehaviouId"  event="onclick" target="addVLanResbutton"
						targetAction="vlanRestriction" behaviorAction="get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
			<h:panelGrid id="customVlanSResPanel" columns="3" rendered="#{manageSriovUIBean.logicalPort.renderVLanRestriction.booleanValue}">
					     <usmc:outputLabel id="allowedVlansText" for= "allowedVlanListBox" value="#{msg.LBL_INPUT_VLANRES_REMOVE}"></usmc:outputLabel>
		
						<h:selectManyListbox
								value="#{manageSriovUIBean.logicalPort.selectedVLANs}" size="4" style="width: 100px" id="allowedVlanListBox">
								<f:selectItems id="allowedVlanResIds" value="#{manageSriovUIBean.logicalPort.allowedVlanIds}" />
						</h:selectManyListbox>
					   
						<hx:commandExButton
							action="#{manageSriovUIBean.removeAllowedVlanId}" value="#{msg.LBL_REMOVE}" type="submit" id="removeVLanResbutton">
						<hx:behavior id="vlanResRemoveBehaviouId" event="onclick" target="removeVLanResbutton"
							targetAction="vlanRestriction" 	behaviorAction="get;stop" />
						</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>      
	
	</h:panelGrid>
		
	<h:panelGrid id="prioritiesPanel"  rendered="#{manageSriovUIBean.logicalPort.ethernetTypeLogPort}" >
		<h:outputText value="#{msg.LBL_PRIORITY}"  styleClass="headerText"/>
		
		<h:panelGrid columns="2" rendered="#{manageSriovUIBean.logicalPort.qosPriorityCapable}" >
			<usmc:outputLabel id="info1" for="selectQosPriority" value="#{msg.LBL_802PRIORITY}" />
			
			<h:selectOneMenu id="selectQosPriority" 
							value="#{manageSriovUIBean.logicalPort.selectedQoSValue}">
			 <f:selectItems id="sriovQoSList" value="#{manageSriovUIBean.logicalPort.qoSValueList}" />
			</h:selectOneMenu>
		
		</h:panelGrid>
		
		<h:panelGrid id="priorityRestriction" rendered="#{manageSriovUIBean.logicalPort.prioritiesCapable}" >
			<hx:ajaxRefreshSubmit id="priorityRestrictionRequest" ></hx:ajaxRefreshSubmit>
			<usmc:outputLabel id="priorityRestrictionLabel" value="#{msg.LBL_802PRIORITY_RES}" for="priorityRestrictionRadio"/>
      		<h:selectOneRadio id="priorityRestrictionRadio"
					value="#{manageSriovUIBean.logicalPort.selectedQpriorityRes}" layout="pageDirection">
					<f:selectItems id="priorityResItems" value="#{manageSriovUIBean.logicalPort.qpriorityResType}" />
					<hx:behavior id="priorityRestrictionBehaviousId"
						event="onclick" behaviorAction="get;stop"
						target="priorityRestrictionRadio" targetAction="priorityRestriction"/>
     	 	</h:selectOneRadio>
     	 	<h:panelGrid width="50%" id="customPriorityRestrictionPanel" rendered="#{manageSriovUIBean.logicalPort.renderQPriorityRestriction.booleanValue}">
		       <exfaces:dualListChooser size="4" sortType="none" addType="move" id="qosPriorityChooser" 
			   value="#{manageSriovUIBean.logicalPort.allowedQosPriorities}" availableLabel="Supported Priorities" selectedLabel="Allowed Priorities" >
	           <f:selectItems value="#{manageSriovUIBean.logicalPort.supportedQosPriorities}"/>
		       </exfaces:dualListChooser>
			</h:panelGrid>
		</h:panelGrid>      
	</h:panelGrid>
		
			
	<h:panelGrid id="macAddrPanel"  rendered="#{manageSriovUIBean.logicalPort.ethernetTypeLogPort}">
		<h:outputText value="#{msg.LBL_MACADDR_HEADER}" styleClass="headerText"/>
		<h:panelGrid id="selectMacAddrPanel" >
		 <hx:ajaxRefreshSubmit id="selectMacAddrPanelSubmit" />
			<h:panelGrid columns="4">
				<usmc:outputLabel id="macAddrLable" for="" value="#{msg.LBL_MACADDR}" rendered ="#{!manageSriovUIBean.logicalPort.portadded}"/> 
				<h:outputText id="autoText" value="#{msg.LBL_MACADDR_AUTO}" rendered="#{!manageSriovUIBean.logicalPort.overideMacAddress.booleanValue && (!manageSriovUIBean.logicalPort.portadded)}" />
		    	<h:outputText id="usrDefText" value="#{msg.LBL_MACADDR_USRDEF}" rendered="#{manageSriovUIBean.logicalPort.overideMacAddress.booleanValue && (!manageSriovUIBean.logicalPort.portadded)}"/>
		    
				<vsmfaces:selectBooleanCheckBox id="macAddressOverride"
						labelId="macAddressOverrideLabel"
						uiproperty="#{manageSriovUIBean.logicalPort.overideMacAddress}" rendered="#{!manageSriovUIBean.logicalPort.portadded}">
						<hx:behavior id="macAddressOverrideBehaviourId"
							event="onclick" behaviorAction="get;stop"
							target="macAddressOverride" targetAction="selectMacAddrPanel" />
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="macAddressOverrideLabel"
						for="macAddressOverride" value="#{msg.LBL_CHKBOX_OVERRIDE}"
						uiproperty="#{manageSriovUIBean.logicalPort.overideMacAddress}" rendered="#{!manageSriovUIBean.logicalPort.portadded}">
				</vsmfaces:outputLabel>		
			</h:panelGrid>
		
			<h:panelGrid id="CustomMacAddressPanel" columns="3">
				<vsmfaces:outputLabel id="customMacAddressInputTextLabel"
						for="customMacAddressInputText" value="#{msg.ENTER_MAC_ADDRESS}"
						uiproperty="#{manageSriovUIBean.logicalPort.customMacAddress}"  rendered="#{(manageSriovUIBean.logicalPort.overideMacAddress.booleanValue) && (!manageSriovUIBean.logicalPort.portadded)}"/>
				<usmc:outputLabel id="customMacAddressEditTextLabel" for="" value="#{msg.ENTERED_MAC_ADDRESS}" rendered="#{manageSriovUIBean.logicalPort.portadded}"/>
				<vsmfaces:inputText id="customMacAddressInputText"
						labelId="customMacAddressInputTextLabel"
						uiproperty="#{manageSriovUIBean.logicalPort.customMacAddress}" rendered="#{manageSriovUIBean.logicalPort.overideMacAddress.booleanValue || manageSriovUIBean.logicalPort.portadded}"  disabled="#{manageSriovUIBean.logicalPort.portadded}"></vsmfaces:inputText>
			</h:panelGrid>
		</h:panelGrid >
		
		<h:panelGrid id="macAddrRestriction">
			<hx:ajaxRefreshSubmit id="macAddrRestrictionRequest" ></hx:ajaxRefreshSubmit>
			<usmc:outputLabel id="macAddrRestrictionLabel" value="#{msg.LBL_MACADDR_RES}" for="macAddrRestrictionRadio"/>
      		<h:selectOneRadio id="macAddrRestrictionRadio"
					value="#{manageSriovUIBean.logicalPort.selectedMacAddrRes}" layout="pageDirection">
					<f:selectItems id="macAddrResItems" value="#{manageSriovUIBean.logicalPort.macAddressResType}" />
					<hx:behavior id="macAddrRestrictionBehaviousId"
						event="onclick" behaviorAction="get;stop"
						target="macAddrRestrictionRadio" targetAction="macAddrRestriction"/>
     	 	</h:selectOneRadio>
     	 	<h:panelGrid id="custommacAddrRestrictionPanel" columns="3" rendered="#{manageSriovUIBean.logicalPort.renderCustomMacRestriction.booleanValue}">
				<vsmfaces:outputLabel id="customMacAddrResLabel"
					for="customMacAddrResInputText" value="#{msg.LBL_MACADDR_RES_INPUTADD}"
					uiproperty="#{manageSriovUIBean.logicalPort.customMacAddRestriction}" />
				<vsmfaces:inputText id="customMacAddrResInputText"
					labelId="customMacAddrResLabel"
					uiproperty="#{manageSriovUIBean.logicalPort.customMacAddRestriction}"></vsmfaces:inputText>
				<hx:commandExButton
					action="#{manageSriovUIBean.addAllowedMacAddr}" value="#{msg.LBL_ADD}" type="submit" id="addMacAddrResbutton">
					<hx:behavior id="macResAddBehaviouId"  event="onclick" target="addMacAddrResbutton"
						targetAction="macAddrRestriction" behaviorAction="get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
			<h:panelGrid id="customMacAddrsseSResPanel" columns="3" rendered="#{manageSriovUIBean.logicalPort.renderCustomMacRestriction.booleanValue}">
					     <usmc:outputLabel id="allowedMacAddressText" for= "allowedMacAddressesListBox" value="#{msg.LBL_MACADDR_RES_INPUTREM}"></usmc:outputLabel>
		
						<h:selectManyListbox
								value="#{manageSriovUIBean.logicalPort.selectedMacAddrs}" size="4" style="width: 160px" id="allowedMacAddressesListBox">
								<f:selectItems id="allowedMacAddrResIds" value="#{manageSriovUIBean.logicalPort.allowedMacAddrs}" />
						</h:selectManyListbox>
					   
						<hx:commandExButton
							action="#{manageSriovUIBean.removeSelectMacAddrs}" value="#{msg.LBL_REMOVE}" type="submit" id="removeMacAddrResbutton">
						<hx:behavior id="macAddrResRemoveBehaviouId" event="onclick" target="removeMacAddrResbutton"
							targetAction="macAddrRestriction" 	behaviorAction="get;stop" />
						</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>      
		
	</h:panelGrid>
	
	<h:panelGrid id="wwpnPanel"  rendered="#{!manageSriovUIBean.logicalPort.ethernetTypeLogPort}" >
		<h:outputText value="#{msg.LBL_WWPN}" styleClass="headerText"/>
		<h:panelGrid id="selectWWPNPanel" >
		 <hx:ajaxRefreshSubmit id="selectWWPNPanelSubmit" />
			<h:panelGrid columns="4">
				<usmc:outputLabel id="selectWWPNLable" for="" value="#{msg.LBL_WWPN}" rendered="#{manageSriovUIBean.logicalPort.portadded}" />
				<h:outputText id="autowwpnText" value="#{msg.LBL_MACADDR_AUTO}" rendered="#{!manageSriovUIBean.logicalPort.overrideWWPN.booleanValue && !manageSriovUIBean.logicalPort.portadded}"/>
		    	<h:outputText id="usrDefwwpnText" value="#{msg.LBL_MACADDR_USRDEF}" rendered="#{manageSriovUIBean.logicalPort.overrideWWPN.booleanValue && !manageSriovUIBean.logicalPort.portadded}"/>
		    
				<vsmfaces:selectBooleanCheckBox id="wwpnOverride"
						labelId="wwpnOverrideLabel"
						uiproperty="#{manageSriovUIBean.logicalPort.overrideWWPN}" rendered="#{!manageSriovUIBean.logicalPort.portadded}">
						<hx:behavior id="wwpnOverrideBehaviourId"
							event="onclick" behaviorAction="get;stop"
							target="wwpnOverride" targetAction="selectWWPNPanel" />
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="wwpnOverrideLabel"
						for="wwpnOverride" value="#{msg.LBL_CHKBOX_OVERRIDE}"
						uiproperty="#{manageSriovUIBean.logicalPort.overrideWWPN}" rendered="#{!manageSriovUIBean.logicalPort.portadded}">
				</vsmfaces:outputLabel>		
			</h:panelGrid>
		
			<h:panelGrid id="CustomWWPNPanel" columns="3">
				<vsmfaces:outputLabel id="customWWPNInputTextLabel"
						for="customWWPNInputText" value="#{msg.LBL_ENTER_WWPN}"
						uiproperty="#{manageSriovUIBean.logicalPort.customWWPN}" rendered="#{manageSriovUIBean.logicalPort.overrideWWPN.booleanValue && !manageSriovUIBean.logicalPort.portadded}" />
				<vsmfaces:outputLabel id="customWWPNInputTextEditLabel"
						for="customWWPNInputText" value="#{msg.LBL_CUSTOM_WWPN}"
						uiproperty="#{manageSriovUIBean.logicalPort.customWWPN}" rendered="#{manageSriovUIBean.logicalPort.portadded}" />
						
				<vsmfaces:inputText id="customWWPNInputText"
						labelId="customWWPNInputTextId"
						uiproperty="#{manageSriovUIBean.logicalPort.customWWPN}" rendered="#{manageSriovUIBean.logicalPort.overrideWWPN.booleanValue || manageSriovUIBean.logicalPort.portadded}"  disabled="#{manageSriovUIBean.logicalPort.portadded}"></vsmfaces:inputText>
			</h:panelGrid>		
			
		</h:panelGrid >
	</h:panelGrid >	
		

