<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>
<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>

  <h:panelGrid width="100%" id="head">

	<h:outputText value="#{msg.LOGPORT_GENTAB_VS_HEADER}"  styleClass="headerText"/>

	<h:panelGrid columns="2">
	<usmc:outputLabel id="infoid" for="id" styleClass="outputLabel" value="#{msg.LOGPORT_GENTAB_VSID_LBL}" />
	<h:outputText id="id" value="#{vs_curr_config.virtualServerId}" />
	
	<usmc:outputLabel id="info" for="lpar" styleClass="outputLabel" value="#{msg.LOGPORT_GENTAB_VSNAME_LBL}" />
	<h:outputText id="lpar" value="#{vs_curr_config.virtualServerDisplayName}" />
	
	<usmc:outputLabel id="configid" for="configIgtext" styleClass="outputLabel" value="#{msg.LOGPORT_GENTAB_CONFIG_LBL}" />
	<h:outputText id="configIgtext" value="#{manageSriovUIBean.logicalPort.configurationId}" />
	</h:panelGrid>
	
 </h:panelGrid>

<h:panelGrid id="head1">
	<h:outputText value="#{msg.LBL_RESOURCES}" id="resourceslabel" styleClass="headerText" />

	<h:panelGrid id="resourcePanel">
		<hx:ajaxRefreshSubmit id="selectResourcePanelSubmit" />
		<h:panelGrid columns="2" id="panelsriovmodevios"
			rendered="#{!manageSriovUIBean.logicalPort.ethernetTypeLogPort && manageSriovUIBean.viosEnv}" >
			<vsmfaces:selectBooleanCheckBox id="backingDeviceBox"
				labelId="backingDeviceBoxLabel"
				uiproperty="#{manageSriovUIBean.logicalPort.backingDevice}"  disabled="#{manageSriovUIBean.logicalPort.portadded}">
				<hx:behavior id="backingDeviceBoxBehaviourId" event="onclick"
					behaviorAction="get;stop" target="backingDeviceBox"
					targetAction="resourcePanel" />
			</vsmfaces:selectBooleanCheckBox>
			<vsmfaces:outputLabel id="backingDevicelabel" for="backingDeviceBox"
				value="#{msg.LBL_BACKINGDEVICE_CHKBOX}"
				uiproperty="#{manageSriovUIBean.logicalPort.backingDevice}">
			</vsmfaces:outputLabel>
		</h:panelGrid>

		<h:panelGrid id="backingDeviceHelpPanel"
			rendered="#{manageSriovUIBean.logicalPort.backingDevice.booleanValue && manageSriovUIBean.viosEnv && !manageSriovUIBean.logicalPort.portadded}" style="text-align:justify;color:blue;font-size: 1.0em" >
			<h:outputText id="backingDeviceHelpLabel1" value="#{msg.LBL_HELPTEXT1_BACKINGDEVICE}"/>
			<h:outputText id="backingDeviceHelpLabel2" value="#{msg.LBL_HELPTEXT2_BACKINGDEVICE}"/>
			<h:outputText id="backingDeviceHelpLabel3" value="#{msg.LBL_HELPTEXT3_BACKINGDEVICE}"/>
		</h:panelGrid>

	</h:panelGrid>

	<h:panelGrid columns="2">
		<vsmfaces:outputLabel id="cap" for="res" value="#{msg.LBL_CAPACITY}"
			uiproperty="#{manageSriovUIBean.logicalPort.capacity}"/>
		<vsmfaces:inputText id="sriov_capacity" labelId="cap"
			uiproperty="#{manageSriovUIBean.logicalPort.capacity}" disabled="#{manageSriovUIBean.logicalPort.portadded}" />
	</h:panelGrid>
	<h:panelGrid id="remoteFCTarget"
		rendered="#{!manageSriovUIBean.logicalPort.ethernetTypeLogPort}">
		<h:panelGrid columns="2">
			<vsmfaces:outputLabel id="maxRemFcLabelId"
				value="#{msg.LBL_MAX_REMOTETAR}"
				uiproperty="#{manageSriovUIBean.logicalPort.maxRemoteFCTargets}" />
			<vsmfaces:outputText id="maxRemFcId"
				uiproperty="#{manageSriovUIBean.logicalPort.maxRemoteFCTargets}" />
		</h:panelGrid>
		<h:panelGrid columns="4" id="getDefaultRemote">
		 	<hx:ajaxRefreshSubmit id="getDefaultRemoteSubmit" target="panel1">
				</hx:ajaxRefreshSubmit>
			<vsmfaces:outputLabel id="remFcLabelId" for="remid"
				value="#{msg.LBL_REMOTETAR}"
				rendered="#{!manageSriovUIBean.logicalPort.ethernetTypeLogPort}"
				uiproperty="#{manageSriovUIBean.logicalPort.remoteFCTargets}" />
			<vsmfaces:inputText id="remFcId"
				uiproperty="#{manageSriovUIBean.logicalPort.remoteFCTargets}" />

				<hx:commandExButton
					action="#{manageSriovUIBean.recalculateDefaultRemFCTargets}" value="#{msg.BUTTON_GET_DEFAULT}" type="submit" id="getDefaultRemoteId">
					<hx:behavior id="vlanResAddBehaviouId"  event="onclick" target="getDefaultRemoteId"
						targetAction="getDefaultRemote" behaviorAction="get;stop" />
				</hx:commandExButton>
		</h:panelGrid>
		 <h:panelGrid id="roundingFcoe" columns="2"  style="text-align: center" >
	 	 	<h:outputText id="vlanLabel" value="#{msg.LBL_MULTIPLE_TARGETS}" style="margin-left:10em"/>
			<h:outputText id="vlanId" value="#{manageSriovUIBean.logicalPort.multipleFocevalue}" />
     	 </h:panelGrid>
	</h:panelGrid>
</h:panelGrid>
<h:panelGrid id="head2">
	<h:outputText value="#{msg.LBL_PERMISSION}"  styleClass="headerText"/>
	
	<h:panelGrid columns="2">
	<vsmfaces:selectBooleanCheckBox id="diachkBox" labelId="diaChkBoxlabel" uiproperty="#{manageSriovUIBean.logicalPort.diagPermission}" />
	<vsmfaces:outputLabel id="diaChkBoxlabel" for="diachkBox" value="#{msg.LBL_DIAGPERMISSION_CHKBOX}" uiproperty="#{manageSriovUIBean.logicalPort.diagPermission}"/>
	
	<vsmfaces:selectBooleanCheckBox id="prid"  labelId="priorityChBoxLabel" uiproperty="#{manageSriovUIBean.logicalPort.promiscuPermission}" disabled="#{manageSriovUIBean.logicalPort.portadded}" />
	<vsmfaces:outputLabel id="priorityChBoxLabel" for="prid" value="#{msg.LBL_PROMISCGPERMISSION_CHKBOX}" uiproperty="#{manageSriovUIBean.logicalPort.promiscuPermission}"/>

	<vsmfaces:selectBooleanCheckBox id="ddmaid" labelId="ddmaChBoxLabel" uiproperty="#{manageSriovUIBean.logicalPort.dmaWinPermission}" disabled="#{manageSriovUIBean.logicalPort.portadded}"/>
	<vsmfaces:outputLabel id="ddmaChBoxLabel" for="ddmaid" value="#{msg.LBL_DMAPERMISSION_CHKBOX}" uiproperty="#{manageSriovUIBean.logicalPort.dmaWinPermission}"/>

	</h:panelGrid>
	
	</h:panelGrid>
