<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="virtualStoragePanel" width="100%" cellpadding="0" cellspacing="0" border="0" rendered="#{manageStorageUIBean.renderStorageSection}">
<h:outputText value="<p><p>" escape="false"/>
<h:inputText value="#{manageStorageUIBean.sortSTRGColumn}" style="display : none" id="stroageSortColumn"/>
<usmc:messageBox id="virStroage_messagebox"
                messageCollection="#{manageStorageBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="false"
                />
                
<hx:ajaxRefreshSubmit id="ajaxRefreshSubmit1"/>

<hx:panelDialog id="storagePanelDialog" rendered="false">						
				</hx:panelDialog> 
				
<hx:panelSection id="virtualDiskPanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="id5">
				<hx:graphicImageEx id="id6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="vtext1" value="#{msg.LBL_VDISKSHEADER}" title="#{msg.LBL_VDISKSHEADER}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id3">
				<hx:graphicImageEx id="id4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext2" value="#{msg.LBL_VDISKSHEADER}" title="#{msg.LBL_VDISKSHEADER}"/>
				</hx:jspPanel>
			</f:facet>				               

<h:panelGrid columns="3" rendered="#{!manageStorageUIBean.vdiskAvailable}" id="vpanel1">
<hx:graphicImageEx id="spinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{manageStorageUIBean.vdiskStatusString}"/>
</h:panelGrid>


<h:panelGrid  id="vdiskVTDCheckTable"  columns="3"  border="0" cellpadding="0" cellspacing="0" width="30%" 
	rendered="#{manageStorageUIBean.vdiskfound && manageServerUIBean.permission}">	
		<h:selectBooleanCheckbox id="vdiskVTDChkbox" 
		onclick=" var avdisk = this.id.replace('vdiskVTDChkbox','vdiskVTDButton'); 
					document.getElementById(avdisk).click();"/>		
		<h:outputLabel for="vdiskVTDChkbox" value="#{msg.LBL_SHOW_VTD}" />
		
		<hx:commandExButton styleClass="buttonRegular" id="vdiskVTDButton"  style="display : none" actionListener="#{manageStorageUIBean.changeHideVirtualDiskVTD}"  >
		<hx:behavior event="onclick"  behaviorAction="get;stop"/>	
		</hx:commandExButton> 			
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>							
</h:panelGrid>

<h:panelGrid id="vdisktablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
	
		<hx:ajaxRefreshSubmit id="sortRefresh" />

		<hx:commandExButton value="" action="#{manageStorageUIBean.sortVDiskTable}" style="display : none" id="vdisksortbutton">
							<hx:behavior event="onclick" targetAction="vdisktablewrapperPanel" behaviorAction="get;stop" target="vdisksortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vdiskfound && manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addVirtualDisk"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!manageServerUIBean.viosEnv}" disabled="#{manageStorageUIBean.vdiksEmpty}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="delVirtualDisk"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_REMOVE_ADAPTER}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{!manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="assignVirtualDisk"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_VIOS_ASSIGN}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="unAssignVirtualDisk"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_VIOS_UNASSIGN}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			
			<hx:commandExButton styleClass="buttonRegular" id="refreshVirtualDisk"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTablePerm" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vdiskfound && (!manageServerUIBean.permission)}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			<hx:commandExButton styleClass="buttonRegular" id="refreshVirtualDiskPerm"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>		
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="vdisktablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{manageStorageUIBean.vdiskfound}">
			
			<hx:dataTableEx id="vdiskTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.virtualDisks}"
					var="vdisklist" width="100%" scrollSize="#{manageStorageUIBean.vdiskScrollSize}">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vir_diskSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{vdisklist.name.selected}" onclick="
						handleStorageRowTaskSelection('ManageStoragePanel:vdiskTable','ManageStoragePanel:delVirtualDisk',null,null);
						handleStorageRowTaskSelection('ManageStoragePanel:vdiskTable','ManageStoragePanel:assignVirtualDisk','ManageStoragePanel:unAssignVirtualDisk',null);
						displayClusterVios('manageServer_form:ManageServerVTabView:ManageStoragePanel:vdiskTable');" disabled="#{!vdisklist.assignable}"/>
					</hx:columnEx>

					<hx:columnEx id="strgColName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vdiskname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vdisksortbutton','strgColName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
							</h:panelGrid>					
						</f:facet>
							<vsmfaces:outputText styleClass="outputText" uiproperty="#{vdisklist.name}"/>
							<hx:graphicImageEx value="/images/warning_obj16.gif" rendered="#{vdisklist.reassignWarning}" title="#{msg.LBL_VDISKREASSIGN_WARN}"/>
					</hx:columnEx>

					<hx:columnEx id="strgVIOSName" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vdiskvio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vdisksortbutton','strgVIOSName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:panelGrid>
							<h:outputText styleClass="outputText" value="#{vdisklist.viosServerIdString}"/>
							<h:panelGrid id="vssViosGrid" style="#{vdisklist.vssDiskDisplay}">
								<hx:dataTableEx id="clusterViosTable" border="0" 
									cellpadding="10" cellspacing="0"
									columnClasses="columnClass1"
									headerClass="dataTableColumnHeader"
									footerClass="footerClass" 
									rowClasses="rowClass1, rowClass2" 
									styleClass="newFaceDataTable"
									value="#{vdisklist.clusterViosList}"
									rendered="#{vdisklist.vssDisk}"
									var="clusterVios" width="100%">
									<hx:columnEx style="text-align: center;width: 10%">
										<f:facet name="header">
											<h:panelGrid width="100%" columnClasses="sortHeaderText">
												<usmc:outputLabel styleClass="outputLabel"
													id="clusterVios_selectLabel" value="#{msg.LBL_TBL_SELECT}" />
											</h:panelGrid>		
										</f:facet>
										<h:selectBooleanCheckbox value="#{clusterVios.selected}" 
										onclick="handleDialogTableRowSelection('manageServer_form:ManageServerVTabView:ManageStoragePanel:vdiskTable:0:vssViosGrid');processChanges();"/>
									</hx:columnEx>

									<hx:columnEx id="dialogVIOServer">
										<f:facet name="header">
										<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
											<usmc:outputLabel styleClass="outputLabel"
												id="vioservername" value="#{msg.LBL_VIRTUAL_IO_SERVER}" />
											<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
												'manageServer_form:storageDialogView:vdisksortbutton','VIOServer','manageServer_form:storageDialogView:stroageSortColumn');"/>
										</h:panelGrid>	
										</f:facet>
										<vsmfaces:outputText styleClass="outputText" uiproperty="#{clusterVios}"/>												
									</hx:columnEx>
								</hx:dataTableEx>		
							</h:panelGrid>
						</h:panelGrid>
					</hx:columnEx>
					
					<hx:columnEx id="strgAssignVSName" rendered="#{manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vdiskassignedName"
								value="#{msg.LBL_ASSIGNED_VS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vdisksortbutton','strgAssignVSName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							value="#{vdisklist.clientServerName}"/>
					</hx:columnEx>

					<hx:columnEx id="strgSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vdisksize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vdisksortbutton','strgSizeCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="vdiskStrgPoolName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vdiskstoragepool"
								styleClass="outputLabel" value="#{msg.LBL_STRGPOOL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vdisksortbutton','vdiskStrgPoolName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.storagePoolName}" />
					</hx:columnEx>

					<hx:columnEx id="vdiskvtdcol" rendered="#{manageStorageUIBean.virtualDiskVTDFlag}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel id="vdiskvtd"
									styleClass="outputLabel" value="#{msg.LBL_VTD}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgLocationCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.vtd}" />
					</hx:columnEx>
					
				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:ManageServerVTabView:ManageStoragePanel:vdiskTable');" 
			rendered="#{manageStorageUIBean.vdisktblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleStorageRowTaskSelection('ManageStoragePanel:vdiskTable','ManageStoragePanel:delVirtualDisk',null,null);
						handleStorageRowTaskSelection('ManageStoragePanel:vdiskTable','ManageStoragePanel:assignVirtualDisk','ManageStoragePanel:unAssignVirtualDisk',null);" rendered="#{manageStorageUIBean.vdiskfound}"/>
				
				<h:outputText value="#{manageStorageUIBean.vdiskEmptyString}" rendered="#{!manageStorageUIBean.vdiskfound && manageStorageUIBean.vdiskAvailable}"/>
				
				<hx:commandExButton styleClass="buttonRegular" id="addnewVirtualDisk"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!(manageServerUIBean.viosEnv || 
				manageStorageUIBean.vdiksEmpty || manageStorageUIBean.vdiskfound) && manageStorageUIBean.vdiskAvailable && manageServerUIBean.permission}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
				<h:outputText value="<br>" escape="false" rendered="#{!manageStorageUIBean.vdiskfound && manageStorageUIBean.vdiskAvailable}"/>
				<h:outputText value="#{msg.LBL_REFRESH_VDISK}" rendered="#{!manageStorageUIBean.vdiskfound && manageStorageUIBean.vdiskAvailable}"/>
				<hx:commandExButton styleClass="buttonRegular" id="refreshaddVirtualDisk"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}" rendered="#{!manageStorageUIBean.vdiskfound && manageStorageUIBean.vdiskAvailable}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>	
				
		</h:panelGrid>                
</hx:panelSection>

<h:outputText value="<br>" escape="false"/>

<h:panelGrid width="100%" id="managePhyVolPanel">

<hx:panelSection id="physicalVolPanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="pvolid5">
				<hx:graphicImageEx id="pvolid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="pvoltext1" value="#{msg.LBL_PVOLSHEADER}" title="#{msg.LBL_PVOLSHEADER}" />
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="pvolid3">
				<hx:graphicImageEx id="pvolid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="pvoltext2" value="#{msg.LBL_PVOLSHEADER}" title="#{msg.LBL_PVOLSHEADER}" />
				</hx:jspPanel>
			</f:facet>				               

<h:panelGrid columns="3" rendered="#{!manageStorageUIBean.phyvolAvailable}" id="vpanel2">
<hx:graphicImageEx id="pvolspinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{manageStorageUIBean.pvolStatusString}"/>
</h:panelGrid>

<h:panelGrid  id="pvolVTDCheckTable"  columns="3"  border="0" cellpadding="0" cellspacing="0" width="30%" 
	rendered="#{manageStorageUIBean.pvolfound && manageServerUIBean.permission}" >	
		<h:selectBooleanCheckbox id="pvolVTDChkbox" 
		onclick=" var apvol = this.id.replace('pvolVTDChkbox','pvolVTDButton'); 
					document.getElementById(apvol).click();"/>		
		<h:outputLabel for="pvolVTDChkbox" value="#{msg.LBL_SHOW_VTD}" />
		
		<hx:commandExButton styleClass="buttonRegular" id="pvolVTDButton"  style="display : none" actionListener="#{manageStorageUIBean.changeHidePhysicalVolVTD}"  >
		<hx:behavior event="onclick"  behaviorAction="get;stop"/>	
		</hx:commandExButton> 		
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
		<hx:graphicImageEx value="/images/wtable_spacer.gif"/>							
</h:panelGrid>

<h:panelGrid id="pvoltablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">	
		<hx:ajaxRefreshSubmit id="pvolsortRefresh" />		

		<hx:commandExButton value="" action="#{manageStorageUIBean.sortPVolTable}" style="display : none" id="pvolsortbutton">
							<hx:behavior event="onclick" targetAction="vdisktablewrapperPanel" behaviorAction="get;stop" target="pvolsortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="pvoltoolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.pvolfound && manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addPhyvolume1"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!manageServerUIBean.viosEnv}" disabled="#{manageStorageUIBean.pvolEmpty}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="delPhyvolume"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_REMOVE_ADAPTER}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{!manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="assignPhyvolume"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_VIOS_ASSIGN}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="unAssignPhyvolume"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_VIOS_UNASSIGN}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
			<hx:commandExButton styleClass="buttonRegular" id="refreshPhyvolume"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="pvoltoolbarTableP" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.pvolfound && (!manageServerUIBean.permission)}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			
			<hx:commandExButton styleClass="buttonRegular" id="refreshPhyvolumePerm"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="pvoltablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{manageStorageUIBean.pvolfound}">
			
			<hx:dataTableEx id="pvolTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.phyVolumes}"
					var="pvollist" width="100%" scrollSize="#{manageStorageUIBean.pvolScrollSize}">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="pvolSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{pvollist.name.selected}" 
						onclick="handleStorageRowTaskSelection('ManageStoragePanel:pvolTable','ManageStoragePanel:delPhyvolume',null,null);
						handleStorageRowTaskSelection('ManageStoragePanel:pvolTable','ManageStoragePanel:assignPhyvolume','ManageStoragePanel:unAssignPhyvolume',null);" disabled="#{!pvollist.assignable}"/>
					</hx:columnEx>

					<hx:columnEx id="pvolNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="pvolname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgColName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<h:outputText value="#{pvollist.name.value}" styleClass="outputText"/>
					</hx:columnEx>
					
					<hx:columnEx id="pvolSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvolsize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgSizeCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="pvolVIOSName" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolvio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgVIOSName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.viosServerIdString}"/>
					</hx:columnEx>
					
					<hx:columnEx id="pvolAssignVSName" rendered="#{manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolassignedName"
								value="#{msg.LBL_ASSIGNED_VS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgAssignVSName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							value="#{pvollist.clientServerName}"/>
					</hx:columnEx>

					<hx:columnEx id="pvolStrgPoolName" rendered="#{manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvolstoragepool"
								styleClass="outputLabel" value="#{msg.LBL_STRGPOOL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','pvolStrgPoolName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							value="#{pvollist.storagePoolName}" />
					</hx:columnEx>
					
					<hx:columnEx id="pvolloccol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvollocation"
								styleClass="outputLabel" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgLocationCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.locationCode}" />
					</hx:columnEx>
					
					<hx:columnEx id="pvolvtdcol"  rendered="#{manageStorageUIBean.physicalVolVTDFlag}" >
						<f:facet name="header" >
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage" >
							<usmc:outputLabel id="pvolvtd"
									styleClass="outputLabel" value="#{msg.LBL_VTD}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
								'manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolsortbutton','strgLocationCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText" value="#{pvollist.vtd}" />
					</hx:columnEx>
					

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:ManageServerVTabView:ManageStoragePanel:pvolTable');" 
			rendered="#{manageStorageUIBean.pvoltblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleStorageRowTaskSelection('ManageStoragePanel:pvolTable','ManageStoragePanel:delPhyvolume',null,null);
						handleStorageRowTaskSelection('ManageStoragePanel:pvolTable','ManageStoragePanel:assignPhyvolume','ManageStoragePanel:unAssignPhyvolume',null);" rendered="#{manageStorageUIBean.pvolfound}"/>
				
				<h:outputText value="#{manageStorageUIBean.pvolEmptyString}" rendered="#{!manageStorageUIBean.pvolfound && manageStorageUIBean.phyvolAvailable}"/>
				
				<hx:commandExButton styleClass="buttonRegular" id="addphyvolume2"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!(manageServerUIBean.viosEnv || 
				manageStorageUIBean.pvolEmpty || manageStorageUIBean.pvolfound) && manageStorageUIBean.phyvolAvailable && manageServerUIBean.permission}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
				<h:outputText value="<br>" escape="false" rendered="#{!manageStorageUIBean.pvolfound && manageStorageUIBean.phyvolAvailable}"/>
				<h:outputText value="#{msg.LBL_REFRESH_PHYVOL}" rendered="#{!manageStorageUIBean.pvolfound && manageStorageUIBean.phyvolAvailable}"/>
				<hx:commandExButton styleClass="buttonRegular" id="addrefreshPhyvolume"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}" rendered="#{!manageStorageUIBean.pvolfound && manageStorageUIBean.phyvolAvailable}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
		</h:panelGrid>	                
</hx:panelSection>

</h:panelGrid>

<h:outputText value="<br>" escape="false"/>

<h:panelGrid id="managevfcPanel" width="100%" rendered="#{host_config.vfcCapable}">

		<hx:panelSection id="vfcPanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="id53">
				<hx:graphicImageEx id="id63" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="vtext13" value="#{msg.LBL_VFCHEADERTEXT}" title="#{msg.LBL_VFCHEADERTEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id33">
				<hx:graphicImageEx id="id43" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext23" value="#{msg.LBL_VFCHEADERTEXT}" title="#{msg.LBL_VFCHEADERTEXT}"/>	
				</hx:jspPanel>
			</f:facet>
	
	<h:panelGrid columns="3" rendered="#{!manageStorageUIBean.vfcAvailable}" id="vpanel3">
	<hx:graphicImageEx id="vfcspinImage" value="/images/processing.gif"/>
	<h:outputText value="&nbsp;" escape="false"></h:outputText>
	<h:outputText value="#{manageStorageUIBean.fibStatusString}"/>
	</h:panelGrid>
	
	<h:panelGrid id="vfctablepanel" width="90%" rendered="#{manageStorageUIBean.vfcAvailable}" cellpadding="0" cellspacing="0">
	
		<hx:ajaxRefreshSubmit id="vfcsortRefresh" />

		<hx:commandExButton value="" action="#{manageStorageUIBean.sortVFCTable}" style="display : none" id="vfcsortbutton">
							<hx:behavior event="onclick" targetAction="vfctablewrapperPanel" behaviorAction="get;stop" target="vfcsortbutton"/>	
			</hx:commandExButton>
	
			<%-- ************** Begin of VIOS Fibre Channel Section ******************** --%>	
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="viosvfctoolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vfcfound && manageServerUIBean.viosEnv && manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="viosAssignVFC"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_VIOS_ASSIGN}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="viosUnAssignVFC"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_VIOS_UNASSIGN}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="refreshviosvfc"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="viosvfctoolbarTablePerm" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vfcfound && manageServerUIBean.viosEnv && (!manageServerUIBean.permission)}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			<hx:commandExButton styleClass="buttonRegular" id="refreshviosvfcPerm"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="viosvfctablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{manageStorageUIBean.vfcfound && manageServerUIBean.viosEnv}">	
			
			<hx:dataTableEx id="viosvfcTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.fibreChannels}"
					var="vfclist" scrollSize="#{manageStorageUIBean.vfcScrollSize}" width="100%">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vfcSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox value="#{vfclist.name.selected}" 
						onclick="updateCheckBox(this);handleStorageRowTaskSelection('ManageStoragePanel:viosvfcTable','ManageStoragePanel:viosAssignVFC','ManageStoragePanel:viosUnAssignVFC',null);"
						disabled="#{!vfclist.connAvail}" />
					</hx:columnEx>

					<hx:columnEx id="viosVFCName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgColName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							uiproperty="#{vfclist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="viosvfcDescCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfcdesclbl" value="#{msg.LBL_DESCRIPTION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgDescCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.description}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="viosvfclocCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfcloclbl" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgLocationCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.locationCode}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="viosvfcvslistCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfcvslistlbl" value="#{msg.LBL_CONNVIRSERVERS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','viosvfcvslistCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.connectClientsNo}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="viosvfctotportCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfctotportlbl" value="#{msg.LBL_TOTALPORT}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','viosvfctotportCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.totalConn}"/>												
					</hx:columnEx>
					
				</hx:dataTableEx>
				</h:panelGrid>
				
			
			<%-- ***************  End of VIOS Fibre Channel Section ******************* --%>
			
			<%-- ************** Begin of Client Fibre Channel Section ******************** --%>	
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="vfctoolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vfcfound && !manageServerUIBean.viosEnv && manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addvfcAdapter"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="deletevfcAdapter"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_REMOVE_ADAPTER}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			
			<hx:commandExButton styleClass="buttonRegular" id="refreshvfc"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="vfctoolbarTablePerm" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vfcfound && !manageServerUIBean.viosEnv && (!manageServerUIBean.permission)}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			
			<hx:commandExButton styleClass="buttonRegular" id="refreshvfcPerm"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="vfctablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{manageStorageUIBean.vfcfound && !manageServerUIBean.viosEnv}">	
			
			<hx:dataTableEx id="vfcTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.fibreChannels}"
					var="vfclist" scrollSize="#{manageStorageUIBean.vfcScrollSize}" width="100%">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vfcSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox value="#{vfclist.name.selected}" 
						onclick="handleStorageRowTaskSelection('ManageStoragePanel:vfcTable','ManageStoragePanel:deletevfcAdapter',null,null);"/>
					</hx:columnEx>

					<hx:columnEx id="vfcName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcnamelbl" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgColName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							uiproperty="#{vfclist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="vfcDescCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcdesclbl" value="#{msg.LBL_DESCRIPTION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgDescCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.description}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="vfcviosCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcvioscollbl" value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgVIOSName','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.viosServerIdString}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="vfcwwpnCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcwwwpnlbl" value="#{msg.LBL_WWPN}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','vfcwwpnCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.wwpn}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="vfclocCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcloclbl" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcsortbutton','strgLocationCol','manageServer_form:ManageServerVTabView:ManageStoragePanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.locationCode}"/>												
					</hx:columnEx>
					
				</hx:dataTableEx>				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:ManageServerVTabView:ManageStoragePanel:vfcTable');" 
			rendered="#{manageStorageUIBean.vfctblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleStorageRowTaskSelection('ManageStoragePanel:vfcTable','ManageStoragePanel:deletevfcAdapter',null,null);
			handleStorageRowTaskSelection('ManageStoragePanel:viosvfcTable','ManageStoragePanel:viosAssignVFC','ManageStoragePanel:viosUnAssignVFC',null);" rendered="#{manageStorageUIBean.vfcfound}"/>
				
				<h:outputText value="#{manageStorageUIBean.vfcEmptyString}" rendered="#{!manageStorageUIBean.vfcfound}"/>
				<hx:commandExButton styleClass="buttonRegular" id="addvfcAdapter2"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!(manageServerUIBean.viosEnv || 
				manageStorageUIBean.vfcEmpty || manageStorageUIBean.vfcfound)&& manageServerUIBean.permission}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
				<h:outputText value="<br>" escape="false" rendered="#{!manageStorageUIBean.vfcfound}"/>
				<h:outputText value="#{msg.LBL_REFRESH_FIBCHANNEL}" rendered="#{!manageStorageUIBean.vfcfound}"/>
				<hx:commandExButton styleClass="buttonRegular" id="refreshADDvfc"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}" rendered="#{!manageStorageUIBean.vfcfound}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
		</h:panelGrid>
			
</hx:panelSection>

</h:panelGrid>

<!-- start of Utility devices section -->

 <h:outputText value="<br>" escape="false"/>

<h:panelGrid width="100%" id="managePagingDevice" rendered="#{(manageServerUIBean.rpaEnv || manageServerUIBean.ibmiEnv) &&  vs_curr_config.remoterestarble}" >

<hx:panelSection id="PagingDevicePanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="pdolid5">
				<hx:graphicImageEx id="pdolid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="pdoltext1" value="#{msg.LBL_UTILTYDEVICEHEADER}" title="#{msg.LBL_UTILTYDEVICEHEADER}" />
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="pdolid3">
				<hx:graphicImageEx id="pdolid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="pdoltext2" value="#{msg.LBL_UTILTYDEVICEHEADER}" title="#{msg.LBL_UTILTYDEVICEHEADER}" />
				</hx:jspPanel>
			</f:facet>				               

<h:panelGrid columns="3"  id="vpanel23" rendered="#{!manageStorageUIBean.pagingdeviceAvailable}">
<hx:graphicImageEx id="pdolspinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{manageStorageUIBean.pdStatusString}"/>
</h:panelGrid>

<h:panelGrid id="pdoltablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
	
		<hx:ajaxRefreshSubmit id="pdolsortRefresh" />

			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="pdoltoolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.utilitydevicesfound && manageServerUIBean.permission}" >
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addPagingdevice1"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADDMODIFY_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}"  disabled="#{manageStorageUIBean.utilityDeviceEmpty || !manageServerUIBean.serverStopped || !manageServerUIBean.permission}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>	
			<hx:commandExButton styleClass="buttonRegular" id="refreshPagingdevice"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
			<h:outputText value="#{manageStorageUIBean.utilityDevicesEmptyString}" rendered="#{!manageStorageUIBean.utilitydevicesfound && manageStorageUIBean.pagingdeviceAvailable}"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="pdoltoolbarTablePerm" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.utilitydevicesfound && (!manageServerUIBean.permission)}" >
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			
			<hx:commandExButton styleClass="buttonRegular" id="refreshPagingdevicePerm"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="pdoltablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder"
			rendered="#{manageStorageUIBean.utilitydevicesfound}">
			
			<hx:dataTableEx id="pdolTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.pgDevices}"
					var="pdollist" width="100%" scrollSize="#{manageStorageUIBean.pvolScrollSize}">
			
					<hx:columnEx id="pdolNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="pdolname" value="#{msg.LBL_NAME}" />
						
							</h:panelGrid>	
													
						</f:facet>
						<h:outputText value="#{pdollist.deviceName}" styleClass="outputText"/>
					</hx:columnEx>
					
					<hx:columnEx id="pdolSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pdolsize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pdollist.deviceSize}"/>
					</hx:columnEx>

					<hx:columnEx id="pdolVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolvio"
								value="#{msg.LBL_VIOS_NAME}" />
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pdollist.viosName}"/>
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
					<h:outputText value="#{manageStorageUIBean.utilityDevicesEmptyString}" rendered="#{!manageStorageUIBean.utilitydevicesfound && manageStorageUIBean.pagingdeviceAvailable}"/>
				
				<hx:commandExButton styleClass="buttonRegular" id="addutilityDevicessecond"
				action="#{manageStorageUIBean.launchDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!manageStorageUIBean.utilityDeviceEmpty && manageServerUIBean.serverStopped && manageServerUIBean.permission && !manageStorageUIBean.utilitydevicesfound}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
				<h:outputText value="<br>" escape="false" rendered="#{!manageStorageUIBean.utilitydevicesfound && manageStorageUIBean.pagingdeviceAvailable}"/>
				<h:outputText value="#{msg.LBL_REFRESH_PHYVOL}" rendered="#{!manageStorageUIBean.utilitydevicesfound && manageStorageUIBean.pagingdeviceAvailable}"/>
				<hx:commandExButton styleClass="buttonRegular" id="addrefreshpagingdevicesecond"
				action="#{manageStorageBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageStorageBean.refreshEvent}" rendered="#{!manageStorageUIBean.utilitydevicesfound && manageStorageUIBean.pagingdeviceAvailable}">
				<hx:behavior event="onclick" targetAction="virtualStoragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>		
		</h:panelGrid>                
</hx:panelSection>

</h:panelGrid>


<!-- End of Utility devices  section-->

</hx:panelBox>

<hx:panelBox layout="pageDirection" id="unAvailVirtualStoragePanel" width="70%" cellpadding="0" cellspacing="0" border="0" 
rendered="#{!manageStorageUIBean.renderStorageSection}">
	<h:outputText value="<p></p>" escape="false"/>
	<h:panelGrid id="unAvailStoragePanel" width="100%">
		<h:outputText value="#{manageStorageUIBean.unavailTextString}" style="font-weight: bold"/>
	</h:panelGrid>
</hx:panelBox>