<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>
<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>



<%-- Fragment to display update locations on an endpoint. --%>
<hx:panelBox id="systemLocations_layout2"  layout="pageDirection">


		<h:panelGrid id="tit" >
		<h:outputText value="#{msg.LBL_VLAN_HEADER}"  styleClass="headerText"/>
			
			<h:panelGrid columns="4">
		   <vsmfaces:outputLabel id="sriovAdvPVIDLabel" for="sriovAdvPVID" value="#{msg.LBL_PVID}" uiproperty= "#{sriov_bean.configDetails.portVLanId}"/>
		   <vsmfaces:inputText id="sriovAdvPVID" labelId="sriovAdvPVIDLabel"  uiproperty="#{sriov_bean.configDetails.portVLanId}" />
		   
		   <h:outputText id="portVlanLabel" value="#{msg.VALID_PORTVLAN_VALUES}" />
		   <h:outputText id="portVlanID" value="#{sriov_bean.configDetails.portVlanRange}" />
			</h:panelGrid>

			
			<h:panelGrid id="vlanRestriction" rendered="#{sriov_bean.configDetails.ethernetTypeLogPort}">
			<hx:ajaxRefreshSubmit id="vlanRestrictionRequest" ></hx:ajaxRefreshSubmit>
			<usmc:outputLabel id="vlanRestrictionLabel" value="#{msg.LBL_VLAN_RES}" for="vlanRestrictionRadio"/>
      		<h:selectOneRadio id="vlanRestrictionRadio"
					value="#{sriov_bean.configDetails.selectedVlanRes}" layout="pageDirection">
					<f:selectItems id="vlanResItems" value="#{sriov_bean.configDetails.vlanResType}" />
					<hx:behavior id="vlanRestrictionBehaviousId"
						event="onclick" behaviorAction="get;stop"
						target="vlanRestrictionRadio" targetAction="vlanRestriction"/>
     	 	</h:selectOneRadio>
     	 	
     	 	<h:panelGrid id="vlanRangePanel" columns="2" rendered="#{sriov_bean.configDetails.renderVLanRestriction.booleanValue && sriov_bean.configDetails.portVlanIdCapable}">
     	 	<h:outputText id="vlanLabel" value="#{msg.VALID_PORTVLAN_VALUES}"/>
			<h:outputText id="vlanId" value="#{sriov_bean.configDetails.vlanRange}" />
     	 </h:panelGrid>
     	 	<h:panelGrid id="customVlanRestrictionPanel" columns="2" rendered="#{sriov_bean.configDetails.renderVLanRestriction.booleanValue}">
				<vsmfaces:outputLabel id="customVlanRestrictionLabel"
					for="customVlanRestrictionInputText" value="#{msg.LBL_INPUT_VLANRES_ADD}"
					uiproperty="#{sriov_bean.configDetails.customVlanAddRestriction}" />
				<vsmfaces:inputText id="customVlanRestrictionInputText"
					labelId="customVlanRestrictionLabel"
					uiproperty="#{sriov_bean.configDetails.customVlanAddRestriction}"></vsmfaces:inputText>
				<hx:commandExButton
					action="#{sriov_bean.addAllowedVlanId}" value="#{msg.LBL_ADD}" type="submit" id="addVLanResbutton">
					<hx:behavior id="vlanResAddBehaviouId"  event="onclick" target="addVLanResbutton"
						targetAction="vlanRestriction" behaviorAction="get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
			<h:panelGrid id="customVlanSResPanel" columns="3" rendered="#{sriov_beann.configDetails.renderVLanRestriction.booleanValue}">
					     <usmc:outputLabel id="allowedVlansText" for= "allowedVlanListBox" value="#{msg.LBL_INPUT_VLANRES_REMOVE}"></usmc:outputLabel>
		
						<h:selectManyListbox
								value="#{sriov_bean.configDetails.selectedVLANs}" size="4" style="width: 100px" id="allowedVlanListBox">
								<f:selectItems id="allowedVlanResIds" value="#{sriov_bean.configDetails.allowedVlanIds}" />
						</h:selectManyListbox>
					   
						<hx:commandExButton
							action="#{sriov_bean.removeAllowedVlanId}" value="#{msg.LBL_REMOVE}" type="submit" id="removeVLanResbutton">
						<hx:behavior id="vlanResRemoveBehaviouId" event="onclick" target="removeVLanResbutton"
							targetAction="vlanRestriction" 	behaviorAction="get;stop" />
						</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>      
		</h:panelGrid>      

	
		
		<h:panelGrid id="prioritiesPanel"  rendered="#{sriov_bean.configDetails.ethernetTypeLogPort}" >
		<h:outputText value="#{msg.LBL_PRIORITY_HEADER}"  styleClass="headerText"/>
		
		<h:panelGrid columns="2" rendered="#{sriov_bean.configDetails.qosPriorityCapable}" >
			<usmc:outputLabel id="info1" for="selectQosPriority" value="#{msg.LBL_802PRIORITY}" />
			
			<h:selectOneMenu id="selectQosPriority" 
							value="#{sriov_bean.configDetails.selectedQoSValue}">
			 <f:selectItems id="sriovQoSList" value="#{sriov_bean.configDetails.qoSValueList}" />
			</h:selectOneMenu>
		
		</h:panelGrid>
		
		<h:panelGrid id="priorityRestriction" rendered="#{sriov_bean.configDetails.prioritiesCapable}" >
			<hx:ajaxRefreshSubmit id="priorityRestrictionRequest" ></hx:ajaxRefreshSubmit>
			<usmc:outputLabel id="priorityRestrictionLabel" value="#{msg.LBL_802PRIORITY_RES}" for="priorityRestrictionRadio"/>
      		<h:selectOneRadio id="priorityRestrictionRadio"
					value="#{sriov_bean.configDetails.selectedQpriorityRes}" layout="pageDirection">
					<f:selectItems id="priorityResItems" value="#{sriov_bean.configDetails.qpriorityResType}" />
					<hx:behavior id="priorityRestrictionBehaviousId"
						event="onclick" behaviorAction="get;stop"
						target="priorityRestrictionRadio" targetAction="priorityRestriction"/>
     	 	</h:selectOneRadio>
     	 	<h:panelGrid width="50%" id="customPriorityRestrictionPanel" rendered="#{sriov_bean.configDetails.renderQPriorityRestriction.booleanValue}">
		       <exfaces:dualListChooser size="4" sortType="none" addType="move" id="qosPriorityChooser" 
			   value="#{sriov_bean.configDetails.allowedQosPriorities}" availableLabel="Supported Priorities" selectedLabel="Allowed Priorities" >
	           <f:selectItems value="#{sriov_bean.configDetails.supportedQosPriorities}"/>
		       </exfaces:dualListChooser>
			</h:panelGrid>
		</h:panelGrid>      
	</h:panelGrid>
	

	
	<h:panelGrid id="macAddrPanel"  rendered="#{sriov_bean.configDetails.ethernetTypeLogPort}">
		<h:outputText value="#{msg.LBL_MACADDR_HEADER}" styleClass="headerText"/>
		<h:panelGrid id="selectMacAddrPanel" >
		 <hx:ajaxRefreshSubmit id="selectMacAddrPanelSubmit" />
			<h:panelGrid columns="4">
				<usmc:outputLabel id="macAddrLable" for="" value="#{msg.LBL_MACADDR}" />
				<h:outputText id="autoText" value="#{msg.LBL_MACADDR_AUTO}" rendered="#{!sriov_bean.configDetails.overideMacAddress.booleanValue}"/>
		    	<h:outputText id="usrDefText" value="#{msg.LBL_MACADDR_USRDEF}" rendered="#{sriov_bean.configDetails.overideMacAddress.booleanValue}"/>
		    
				<vsmfaces:selectBooleanCheckBox id="macAddressOverride"
						labelId="macAddressOverrideLabel"
						uiproperty="#{sriov_bean.configDetails.overideMacAddress}">
						<hx:behavior id="macAddressOverrideBehaviourId"
							event="onclick" behaviorAction="get;stop"
							target="macAddressOverride" targetAction="selectMacAddrPanel" />
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="macAddressOverrideLabel"
						for="macAddressOverride" value="#{msg.LBL_CHKBOX_OVERRIDE}"
						uiproperty="#{sriov_bean.configDetails.overideMacAddress}">
				</vsmfaces:outputLabel>		
			</h:panelGrid>
		
			<h:panelGrid id="CustomMacAddressPanel"
					rendered="#{sriov_bean.configDetails.overideMacAddress.booleanValue}"
					columns="2">
				<vsmfaces:outputLabel id="customMacAddressInputTextLabel"
						for="customMacAddressInputText" value="#{msg.ENTER_MAC_ADDRESS}"
						uiproperty="#{sriov_bean.configDetails.customMacAddress}" />
				<vsmfaces:inputText id="customMacAddressInputText"
						labelId="customMacAddressInputTextLabel"
						uiproperty="#{sriov_bean.configDetails.customMacAddress}"></vsmfaces:inputText>
			</h:panelGrid>
		</h:panelGrid >
		
		<h:panelGrid id="macAddrRestriction">
			<hx:ajaxRefreshSubmit id="macAddrRestrictionRequest" ></hx:ajaxRefreshSubmit>
			<usmc:outputLabel id="macAddrRestrictionLabel" value="#{msg.LBL_MACADDR_RES}" for="macAddrRestrictionRadio"/>
      		<h:selectOneRadio id="macAddrRestrictionRadio"
					value="#{sriov_bean.configDetails.selectedMacAddrRes}" layout="pageDirection">
					<f:selectItems id="macAddrResItems" value="#{sriov_bean.configDetails.macAddressResType}" />
					<hx:behavior id="macAddrRestrictionBehaviousId"
						event="onclick" behaviorAction="get;stop"
						target="macAddrRestrictionRadio" targetAction="macAddrRestriction"/>
     	 	</h:selectOneRadio>
     	 	<h:panelGrid id="custommacAddrRestrictionPanel" columns="3" rendered="#{sriov_bean.configDetails.renderCustomMacRestriction.booleanValue}">
				<vsmfaces:outputLabel id="customMacAddrResLabel"
					for="customMacAddrResInputText" value="#{msg.LBL_MACADDR_RES_INPUTADD}"
					uiproperty="#{sriov_bean.configDetails.customMacAddRestriction}" />
				<vsmfaces:inputText id="customMacAddrResInputText"
					labelId="customMacAddrResLabel"
					uiproperty="#{sriov_bean.configDetails.customMacAddRestriction}"></vsmfaces:inputText>
				<hx:commandExButton
					action="#{sriov_bean.addAllowedMacAddr}" value="#{msg.LBL_ADD}" type="submit" id="addMacAddrResbutton">
					<hx:behavior id="macResAddBehaviouId"  event="onclick" target="addMacAddrResbutton"
						targetAction="macAddrRestriction" behaviorAction="get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
			<h:panelGrid id="customMacAddrsseSResPanel" columns="3" rendered="#{sriov_bean.configDetails.renderCustomMacRestriction.booleanValue}">
					     <usmc:outputLabel id="allowedMacAddressText" for= "allowedMacAddressesListBox" value="#{msg.LBL_MACADDR_RES_INPUTREM}"></usmc:outputLabel>
		
						<h:selectManyListbox
								value="#{sriov_bean.configDetails.selectedMacAddrs}" size="4" style="width: 160px" id="allowedMacAddressesListBox">
								<f:selectItems id="allowedMacAddrResIds" value="#{sriov_bean.configDetails.allowedMacAddrs}" />
						</h:selectManyListbox>
					   
						<hx:commandExButton
							action="#{sriov_bean.removeSelectMacAddrs}" value="#{msg.LBL_REMOVE}" type="submit" id="removeMacAddrResbutton">
						<hx:behavior id="macAddrResRemoveBehaviouId" event="onclick" target="removeMacAddrResbutton"
							targetAction="macAddrRestriction" 	behaviorAction="get;stop" />
						</hx:commandExButton>
			</h:panelGrid>
		</h:panelGrid>      
		
	</h:panelGrid>
		
</hx:panelBox>
